/*
 *  Weapon.cpp
 *  Knightmare
 *
 *  Created by Santi Ontañón on 11/3/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */


#ifdef KITSCHY_DEBUG_MEMORY
#include "debug_memorymanager.h"
#endif

#ifdef _WIN32
#include <windows.h>
#endif

#include "Knightmare.h"

#include "Weapon.h"

#include "KObjectCreator.h"

Weapon::Weapon(int x, int y, int sfx_volume, KPlayer *owner) : KObject(x,y,sfx_volume)
{
	m_class = weapon_symbol;
	
	m_keep_angle = true;
	m_owner = owner;
}

Weapon::~Weapon() {
}


bool Weapon::is_a(Symbol *c)
{
    if (c->cmp(weapon_symbol))
        return true;
	
    return KObject::is_a(c);
} /* Weapon::is_a */


bool Weapon::is_a(char *c)
{
    bool retval;
    Symbol *s = new Symbol(c);
	
    retval = is_a(s);
	
    delete s;
	
    return retval;
} /* Weapon::is_a */
